VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Static Public Member Functions | List of all members
Base64Codec Class Reference

## Classes
struct | Result

## Static Public Member Functions
template<typename T >
static Result | decode (const T &base64String)
template<typename T >
static Result | decode (const T *inBuffer, size_t inBufferSize)
static Result | encode (const void *binaryData, size_t binaryDataSize)

## Member Function Documentation

static Result decode | ( | const T & | base64String | ) |
| inline static

static Result decode | ( | const T * | inBuffer,
|  | size_t | inBufferSize
| ) |  |
| inline static

static Result encode | ( | const void * | binaryData,
|  | size_t | binaryDataSize
| ) |  |
| inline static

The documentation for this class was generated from the following file:

- base64codec.h